Debian Bug report logs - #635177
live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: piotr <upiter77@lycos.com>

Date: Sat, 23 Jul 2011 12:24:48 UTC

Severity: important

Found in version live-build/3.0~a21-1

Fixed in version 3.0~a26-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, upiter77@lycos.com, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Sat, 23 Jul 2011 12:24:51 GMT) Full text and rfc822 format available.

Acknowledgement sent to piotr <upiter77@lycos.com>:
New Bug report received and forwarded. Copy sent to upiter77@lycos.com, Debian Live Project <debian-live@lists.debian.org>. (Sat, 23 Jul 2011 12:24:52 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: piotr <upiter77@lycos.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Sat, 23 Jul 2011 16:20:23 +0200
Package: live-build
Version: 3.0~a21-1
Severity: important


I try to build wheezy live usb-hdd using live-build, for example this simple config:

# lb config -b usb-hdd -a i386 --binary-filesystem fat32 --distribution wheezy --linux-flavours 686 --bootloader syslinux -p xfce

binary.img was created, but cannot boot from a usb stick or qemu, because syslinux config files are missing.

# mount -t vfat -o loop,offset=512 binary.img /tmp/live

# ls -la /tmp/live/syslinux
total 688
drwxr-xr-x 2 root root   4096 Jul 23 01:57 .
drwxr-xr-x 6 root root   4096 Jan  1  1970 ..
-rwxr-xr-x 1 root root   4748 Jul 23 01:57 config.c32
-rwxr-xr-x 1 root root 281924 Jul 23 01:57 hdt.c32
-rwxr-xr-x 1 root root  24576 Jul 23 01:57 isolinux.bin
-rwxr-xr-x 1 root root     57 Jul 23 01:57 isolinux.cfg
-rwxr-xr-x 1 root root 164508 Jul 23 01:57 memtest.bin
-rwxr-xr-x 1 root root    244 Jul 23 01:57 menu.cfg
-rwxr-xr-x 1 root root    307 Jul 23 01:57 other.cfg
-rwxr-xr-x 1 root root    800 Jul 23 01:57 reboot.c32
-rwxr-xr-x 1 root root  21384 Jul 23 01:57 rosh.c32
-rwxr-xr-x 1 root root   5264 Jul 23 01:57 splash.png
-rwxr-xr-x 1 root root    508 Jul 23 01:57 stdmenu.cfg
-rwxr-xr-x 1 root root 155664 Jul 23 01:57 vesamenu.c32


Can you pls change this?

Piotr



-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.39-2-686-pae (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  debootstrap                   1.0.32     Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                          2.11-7     GNU cpio -- a program to manage ar
ii  gettext-base                  0.18.1.1-3 GNU Internationalization utilities
ii  gnu-fdisk                     1.2.4-3    Linux fdisk replacement based on l

Versions of packages live-build suggests:
ii  dosfstools                    3.0.9-1    utilities for making and checking 
ii  genisoimage                   9:1.1.11-1 Creates ISO-9660 CD-ROM filesystem
pn  memtest86+ | memtest86        <none>     (no description available)
ii  mtools                        4.0.12-1   Tools for manipulating MSDOS files
pn  parted                        <none>     (no description available)
pn  squashfs-tools | mtd-tools    <none>     (no description available)
ii  sudo                          1.7.4p6-1  Provide limited super user privile
pn  syslinux | grub               <none>     (no description available)
pn  uuid-runtime                  <none>     (no description available)
pn  win32-loader                  <none>     (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Sat, 23 Jul 2011 13:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 23 Jul 2011 13:21:04 GMT) Full text and rfc822 format available.

Message #10 received at 635177@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: piotr <upiter77@lycos.com>, 635177@bugs.debian.org
Subject: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Sat, 23 Jul 2011 09:48:10 -0300
You just need to use syslinux-themes-debian and
syslinux-themes-debian-squeeze from sid (i.e. version 10-1) which fix
this. They just haven't been in the archive long enough to migrate to
wheezy. The easiest way to do this is to download the packages and drop
them in config/chroot_local-packages/

Ben




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Sun, 24 Jul 2011 01:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 24 Jul 2011 01:06:03 GMT) Full text and rfc822 format available.

Message #15 received at 635177@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: "upiter77@lycos.com" <upiter77@lycos.com>
Cc: 635177@bugs.debian.org
Subject: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Sat, 23 Jul 2011 22:02:57 -0300
On 23/07/11 08:29 PM, upiter77@lycos.com wrote:
> put in config/chroot_local-packages/, created new usb-hdd image, but
> still doesn't work:

Did you 'lb clean' before doing 'lb build' again? If not, then the new
packages will not be picked up, as stages that you built before will be
skipped. Did you log your build? If you did it properly, the log should
contain a message like:

Setting up syslinux-themes-debian-squeeze (10-1) ...

Ben




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Sun, 24 Jul 2011 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 24 Jul 2011 14:18:03 GMT) Full text and rfc822 format available.

Message #20 received at 635177@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: "upiter77@lycos.com" <upiter77@lycos.com>
Cc: 635177@bugs.debian.org
Subject: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Sun, 24 Jul 2011 11:14:15 -0300
On 07/24/2011 10:43 AM, upiter77@lycos.com wrote:
> Yep, I've done 'lb clean' and 'lb clean --purge' before and it doesn't work.

On the basis of what do you say "it doesn't work", actually booting the
image, or just examining the contents afterwards? I think your
expectations for what should be in the isolinux directory may just be wrong.

The reason I ask is, there is one other problem*** that afflicts booting
an image completely unrelated to the syslinux themes issue. Even after
adding the updated themes, the resulting "Live" entry in the menu failed
to find the kernel without a local hook to rename the kernel to vmlinuz
and the initrd filename to initrd.img.

If you're seeing a "Live" entry in your menu when booting your image,
the problem you reported is solved by the new themes packages and this
bug can be closed. The actual name of the .cfg file is unimportant so
long as the bootloader finds and uses it.

> in the build.log I have the following messages:

These are perfectly normal ...

> *Removing syslinux ...
> Removing syslinux-themes-debian-squeeze ...*
> 
> 
> BTW I cannot understand why syslinux will be removed.

It is removed because after the creation of the binary, there is no need
to have the packages in the chroot. The final system will have the
default bootloader packages in it (i.e. grub) or else whatever your
preferred bootloader is (specified in custom package lists). Thus, if
you include an installer on the image, you can have your preferred
bootloader installed from the image even though syslinux is the default
for the live system binary itself.

Ben
*** I had thought there was already a bug filed about this but can't
find it. I'll have to do some further testing & file one.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Sun, 24 Jul 2011 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 24 Jul 2011 15:18:03 GMT) Full text and rfc822 format available.

Message #25 received at 635177@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: "upiter77@lycos.com" <upiter77@lycos.com>
Cc: 635177@bugs.debian.org
Subject: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Sun, 24 Jul 2011 12:15:04 -0300
On 07/24/2011 11:33 AM, upiter77@lycos.com wrote:
> Sorry for missunderstanding, but my main problem is I cannot boot from
> this binary.img file, for example using qemu:
> 
> # qemu binary.img
> 
> or
> 
> # qemu -drive file=binary.img
> 
> I get a message "*no bootable device*".

Aha. And this is why you shouldn't second-guess the developers and tell
us why something is broken in a bug report (or if you do, make sure you
at least report the presenting symptom first!)

> Even I cannot boot if I put this binary.img into a usb stick:
> 
> # dd if=binary.img of=/dev/sdb
> 
> 
> BTW I don't get any boot problems if I create an usb-hdd image on squeeze.

Right. Well, this *may* be fixed in git. I'm not certain about this and
haven't yet produced a working usb-hdd wheezy image out of git so it's
hard for me to tell. We should just keep this bug on the books, then,
until we're certain it is taken care of. I've running out of available
time to test for the moment and will get back to this when I can.

Ben




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Sun, 24 Jul 2011 21:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Armstrong <synrg@sanctuary.nslug.ns.ca>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 24 Jul 2011 21:45:03 GMT) Full text and rfc822 format available.

Message #30 received at 635177@bugs.debian.org (full text, mbox):

From: Ben Armstrong <synrg@sanctuary.nslug.ns.ca>
To: "upiter77@lycos.com" <upiter77@lycos.com>
Cc: 635177@bugs.debian.org
Subject: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Sun, 24 Jul 2011 18:11:58 -0300
On 07/24/2011 12:28 PM, upiter77@lycos.com wrote:
> Here is a mounted binary.img from squeeze, booting without any problems:

That's useful info (probably even more useful to Daniel, who knows the
code better than me). Thanks.

> syslinux.bin and syslinux.cfg are missing, there are isolinux.bin,
> isolinux.cfg instead.

OK, so maybe the difference is significant after all. I had not compared
with older, working usb-hdd images, as I haven't built those in some time.

I did try again with the debian-next git HEAD, and as before it has
isolinux files, not syslinux. I get a different error trying to boot
with qemu (kvm, actually, same thing though). I get the SYSLINUX banner,
followed by:

ERROR: no configuration file found
No DEFAULT or UI configuration directive found!

Then I am dropped to a boot: prompt. From there, I can boot the system,
but only by fully specifying the kernel and all appended kernel parameters:

boot: /live/vmlinuz-2.6.39-2-686-pae
initrd=/live/initrd.img-2.6.39-2-686-pae boot=live config

So it appears that in git HEAD the "no bootable device" issue is
resolved. That very much sounds like this problem:

http://blog.daniel-baumann.ch/2011/07/13#20110713_debian-live-6.0.2-images

The configuration file problem I showed above is something different,
concealed in 3.0~a21 by this "no bootable device" issue.

Ben




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Mon, 25 Jul 2011 20:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 25 Jul 2011 20:57:06 GMT) Full text and rfc822 format available.

Message #35 received at 635177@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 635177-submitter@bugs.debian.org
Cc: 635177@bugs.debian.org
Subject: Re: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Mon, 25 Jul 2011 22:56:26 +0200
tag 635177 pending
thanks

like Ben said, this is fixed in git, new version will be uploaded at
latest at the end of the week.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 25 Jul 2011 20:57:08 GMT) Full text and rfc822 format available.

Message sent on to piotr <upiter77@lycos.com>:
Bug#635177. (Mon, 25 Jul 2011 20:57:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Mon, 01 Aug 2011 01:24:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 01 Aug 2011 01:24:10 GMT) Full text and rfc822 format available.

Message #45 received at 635177@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: daniel.baumann@progress-technologies.net
Cc: 635177-submitter@bugs.debian.org, 635177@bugs.debian.org
Subject: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Mon, 1 Aug 2011 01:21:53 +0000 (GMT)
[Message part 1 (text/html, inline)]

Message sent on to piotr <upiter77@lycos.com>:
Bug#635177. (Mon, 01 Aug 2011 01:24:12 GMT) Full text and rfc822 format available.

Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Fri, 05 Aug 2011 07:03:06 GMT) Full text and rfc822 format available.

Notification sent to piotr <upiter77@lycos.com>:
Bug acknowledged by developer. (Fri, 05 Aug 2011 07:03:06 GMT) Full text and rfc822 format available.

Message #53 received at 635177-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 635177-done@bugs.debian.org
Date: Fri, 05 Aug 2011 09:00:54 +0200
Version: 3.0~a26-1

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Fri, 12 Aug 2011 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 12 Aug 2011 17:00:03 GMT) Full text and rfc822 format available.

Message #58 received at 635177@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: upiter77@lycos.com
Cc: daniel.baumann@progress-technologies.net, 635177-submitter@bugs.debian.org, 635177@bugs.debian.org
Subject: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Fri, 12 Aug 2011 16:58:20 +0000 (GMT)
[Message part 1 (text/html, inline)]

Message sent on to piotr <upiter77@lycos.com>:
Bug#635177. (Fri, 12 Aug 2011 17:00:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Fri, 12 Aug 2011 19:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 12 Aug 2011 19:03:06 GMT) Full text and rfc822 format available.

Message #66 received at 635177@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: "upiter77@lycos.com" <upiter77@lycos.com>
Cc: 635177@bugs.debian.org
Subject: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Fri, 12 Aug 2011 21:00:59 +0200
On 08/12/2011 06:58 PM, upiter77@lycos.com wrote:
> I've craeted a new usb-hdd  image and still cannot boot from the bianry.img.

as you can see from the bug report, this is fixed as of 3.0~a26-1.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Sat, 20 Aug 2011 18:33:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 20 Aug 2011 18:33:12 GMT) Full text and rfc822 format available.

Message #71 received at 635177@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: daniel.baumann@progress-technologies.net
Cc: 635177@bugs.debian.org
Subject: Re: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Sat, 20 Aug 2011 18:30:55 +0000 (GMT)
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Sat, 20 Aug 2011 19:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrice Quenneville <fabrice@vanillux.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 20 Aug 2011 19:24:03 GMT) Full text and rfc822 format available.

Message #76 received at 635177@bugs.debian.org (full text, mbox):

From: Fabrice Quenneville <fabrice@vanillux.org>
To: "upiter77@lycos.com" <upiter77@lycos.com>, 635177@bugs.debian.org
Cc: daniel.baumann@progress-technologies.net
Subject: Re: Bug#635177: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Sat, 20 Aug 2011 15:12:29 -0400
[Message part 1 (text/plain, inline)]
a29 is in experimental

On Sat, Aug 20, 2011 at 2:30 PM, upiter77@lycos.com <upiter77@lycos.com>wrote:

> Thx, but where can I download this 3.0~a26-1 version for wheezy?
> I can not find a download link.
>
>
>
> On Aug 12, 2011, *Daniel Baumann* <
> daniel.baumann@progress-technologies.net> wrote:
>
> On 08/12/2011 06:58 PM, upiter77@lycos.com wrote:
> > I've craeted a new usb-hdd image and still cannot boot from the
> bianry.img.
>
> as you can see from the bug report, this is fixed as of 3.0~a26-1.
>
> --
> Address: Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
> Email: daniel.baumann@progress-technologies.net
> Internet: http://people.progress-technologies.net/~daniel.baumann/
>
>  -- To UNSUBSCRIBE, email to debian-live-request@lists.debian.org with a
> subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.orgArchive:
> http://lists.debian.org/1834114310.234330.1313865055786.JavaMail.mail@webmail02




-- 
*Fabrice Quenneville*

fabrice@vanillux.org
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Sun, 28 Aug 2011 16:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 28 Aug 2011 16:03:06 GMT) Full text and rfc822 format available.

Message #81 received at 635177@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: fabrice@vanillux.org
Cc: 635177@bugs.debian.org, daniel.baumann@progress-technologies.net
Subject: Re: Re: Bug#635177: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Sun, 28 Aug 2011 16:02:10 +0000 (GMT)
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Sun, 28 Aug 2011 22:03:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrice Quenneville <fabrice@vanillux.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 28 Aug 2011 22:03:10 GMT) Full text and rfc822 format available.

Message #86 received at 635177@bugs.debian.org (full text, mbox):

From: Fabrice Quenneville <fabrice@vanillux.org>
To: "upiter77@lycos.com" <upiter77@lycos.com>, 635177@bugs.debian.org
Cc: daniel.baumann@progress-technologies.net
Subject: Re: Bug#635177: Re: Bug#635177: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Sun, 28 Aug 2011 17:58:23 -0400
[Message part 1 (text/plain, inline)]
I was suggested to use a hook like in
http://vcs.progress-linux.org/?p=images/standard.git;a=tree

look at  006-kernel.binary<http://vcs.progress-linux.org/?p=images/standard.git;a=blob;f=config/hooks/006-kernel.binary;h=eb1ab481ffcf41710bc9ca11429407203b0927dd;hb=HEAD>
in
config/hooks

On Sun, Aug 28, 2011 at 12:02 PM, upiter77@lycos.com <upiter77@lycos.com>wrote:

> I've installed live-build_3.0~a29-1_all.deb and now I get syslinux boot
> menu, but still cannot start.
>
>
>
> On Aug 20, 2011, *Fabrice Quenneville* <fabrice@vanillux.org> wrote:
>
> a29 is in experimental
>
> On Sat, Aug 20, 2011 at 2:30 PM, upiter77@lycos.com <upiter77@lycos.com>wrote:
>
>> Thx, but where can I download this 3.0~a26-1 version for wheezy?
>> I can not find a download link.
>>
>>
>>
>> On Aug 12, 2011, *Daniel Baumann* <
>> daniel.baumann@progress-technologies.net> wrote:
>>
>> On 08/12/2011 06:58 PM, upiter77@lycos.com wrote:
>> > I've craeted a new usb-hdd image and still cannot boot from the
>> bianry.img.
>>
>> as you can see from the bug report, this is fixed as of 3.0~a26-1.
>>
>> --
>> Address: Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
>> Email: daniel.baumann@progress-technologies.net
>> Internet: http://people.progress-technologies.net/~daniel.baumann/
>>
>>  -- To UNSUBSCRIBE, email to debian-live-request@lists.debian.org with a
>> subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.orgArchive:
>> http://lists.debian.org/1834114310.234330.1313865055786.JavaMail.mail@webmail02
>
>
>
>
> --
> *Fabrice Quenneville*
>
> fabrice@vanillux.org
>
>  -- To UNSUBSCRIBE, email to debian-live-request@lists.debian.org with a
> subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.orgArchive:
> http://lists.debian.org/1736005589.147198.1314547330740.JavaMail.mail@webmail09




-- 
*Fabrice Quenneville*

fabrice@vanillux.org
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Mon, 29 Aug 2011 17:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 29 Aug 2011 17:00:03 GMT) Full text and rfc822 format available.

Message #91 received at 635177@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: fabrice@vanillux.org
Cc: 635177@bugs.debian.org, daniel.baumann@progress-technologies.net
Subject: Re: Re: Bug#635177: Re: Bug#635177: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Mon, 29 Aug 2011 16:56:25 +0000 (GMT)
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Sun, 02 Oct 2011 22:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 02 Oct 2011 22:00:03 GMT) Full text and rfc822 format available.

Message #96 received at 635177@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: fabrice@vanillux.org
Cc: 635177@bugs.debian.org, daniel.baumann@progress-technologies.net
Subject: Re: Re: Re: Bug#635177: Re: Bug#635177: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Sun, 2 Oct 2011 21:57:15 +0000 (GMT)
[Message part 1 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Sun, 02 Oct 2011 23:54:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrice Quenneville <fabrice@vanillux.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 02 Oct 2011 23:54:07 GMT) Full text and rfc822 format available.

Message #101 received at 635177@bugs.debian.org (full text, mbox):

From: Fabrice Quenneville <fabrice@vanillux.org>
To: "upiter77@lycos.com" <upiter77@lycos.com>, 635177@bugs.debian.org
Subject: Re: Bug#635177: Re: Re: Bug#635177: Re: Bug#635177: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Sun, 2 Oct 2011 19:50:12 -0400
[Message part 1 (text/plain, inline)]
This is a binary hook (it run's after the chroot step and before
making the iso)

On Sun, Oct 2, 2011 at 5:57 PM, upiter77@lycos.com <upiter77@lycos.com>wrote:

> Really sorry, but still don't know howto use 006-kernel.binary<http://vcs.progress-linux.org/?p=images/standard.git;a=blob;f=config/hooks/006-kernel.binary;h=eb1ab481ffcf41710bc9ca11429407203b0927dd;hb=HEAD>script.
> Should I put this 006-kernel.binary<http://vcs.progress-linux.org/?p=images/standard.git;a=blob;f=config/hooks/006-kernel.binary;h=eb1ab481ffcf41710bc9ca11429407203b0927dd;hb=HEAD>script into config/binary_local-hooks or into config/chroot_local-hooks?
> BTW I don't have config/hooks.
>
>
>
> On Aug 29, 2011, *Fabrice Quenneville* <fabrice@vanillux.org> wrote:
>
> I was told to use 006-kernel.binary<http://vcs.progress-linux.org/?p=images/standard.git;a=blob;f=config/hooks/006-kernel.binary;h=eb1ab481ffcf41710bc9ca11429407203b0927dd;hb=HEAD>
>
> On Mon, Aug 29, 2011 at 12:56 PM, upiter77@lycos.com <upiter77@lycos.com>wrote:
>
>> Thx, but can you pls give some more details which config/hooks file
>> schould be used?
>>
>>
>> http://vcs.progress-linux.org/?p=images/standard.git;a=tree;f=config/hooks;h=92ec21a899e9c2728bc4b306d3ed8bbd2957820b;hb=HEAD
>>
>>
>>
>> On Aug 28, 2011, *Fabrice Quenneville* <fabrice@vanillux.org> wrote:
>>
>> I was suggested to use a hook like in
>> http://vcs.progress-linux.org/?p=images/standard.git;a=tree
>>
>> look at  006-kernel.binary<http://vcs.progress-linux.org/?p=images/standard.git;a=blob;f=config/hooks/006-kernel.binary;h=eb1ab481ffcf41710bc9ca11429407203b0927dd;hb=HEAD> in
>> config/hooks
>>
>> On Sun, Aug 28, 2011 at 12:02 PM, upiter77@lycos.com <upiter77@lycos.com>wrote:
>>
>>> I've installed live-build_3.0~a29-1_all.deb and now I get syslinux boot
>>> menu, but still cannot start.
>>>
>>>
>>>
>>> On Aug 20, 2011, *Fabrice Quenneville* <fabrice@vanillux.org> wrote:
>>>
>>> a29 is in experimental
>>>
>>> On Sat, Aug 20, 2011 at 2:30 PM, upiter77@lycos.com <upiter77@lycos.com>wrote:
>>>
>>>> Thx, but where can I download this 3.0~a26-1 version for wheezy?
>>>> I can not find a download link.
>>>>
>>>>
>>>>
>>>> On Aug 12, 2011, *Daniel Baumann* <
>>>> daniel.baumann@progress-technologies.net> wrote:
>>>>
>>>> On 08/12/2011 06:58 PM, upiter77@lycos.com wrote:
>>>> > I've craeted a new usb-hdd image and still cannot boot from the
>>>> bianry.img.
>>>>
>>>> as you can see from the bug report, this is fixed as of 3.0~a26-1.
>>>>
>>>> --
>>>> Address: Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
>>>> Email: daniel.baumann@progress-technologies.net
>>>> Internet: http://people.progress-technologies.net/~daniel.baumann/
>>>>
>>>>  -- To UNSUBSCRIBE, email to debian-live-request@lists.debian.org with
>>>> a subject of "unsubscribe". Trouble? Contact
>>>> listmaster@lists.debian.org Archive:
>>>> http://lists.debian.org/1834114310.234330.1313865055786.JavaMail.mail@webmail02
>>>
>>>
>>>
>>>
>>> --
>>> *Fabrice Quenneville*
>>>
>>> fabrice@vanillux.org
>>>
>>>  -- To UNSUBSCRIBE, email to debian-live-request@lists.debian.org with a
>>> subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.orgArchive:
>>> http://lists.debian.org/1736005589.147198.1314547330740.JavaMail.mail@webmail09
>>
>>
>>
>>
>> --
>> *Fabrice Quenneville*
>>
>> fabrice@vanillux.org
>>
>>
>
>
> --
> *Fabrice Quenneville*
>
> fabrice@vanillux.org
>
>  -- To UNSUBSCRIBE, email to debian-live-request@lists.debian.org with a
> subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.orgArchive:
> http://lists.debian.org/1116733723.91617.1317592635437.JavaMail.mail@webmail04




-- 
*Fabrice Quenneville*
*
*

fabrice@vanillux.org
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#635177; Package live-build. (Tue, 04 Oct 2011 22:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "upiter77@lycos.com" <upiter77@lycos.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 04 Oct 2011 22:27:03 GMT) Full text and rfc822 format available.

Message #106 received at 635177@bugs.debian.org (full text, mbox):

From: "upiter77@lycos.com" <upiter77@lycos.com>
To: fabrice@vanillux.org, daniel.baumann@progress-technologies.net
Cc: 635177@bugs.debian.org
Subject: Re: Re: Bug#635177: Re: Re: Bug#635177: Re: Bug#635177: Re: Bug#635177: live-build: live wheezy usb-hdd -> isolinux insted of syslinux will be installed
Date: Tue, 4 Oct 2011 22:24:30 +0000 (GMT)
[Message part 1 (text/html, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Nov 2011 07:39:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 15:09:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.